%define anolis_release 1

Summary: Python wrapper module around the OpenSSL library
Name: pyOpenSSL
Version: 24.1.0
Release: %{anolis_release}%{?dist}
Source0: https://files.pythonhosted.org/packages/source/p/pyOpenSSL/pyOpenSSL-%{version}.tar.gz

BuildArch: noarch
License: ASL 2.0
URL: https://pyopenssl.readthedocs.org/

BuildRequires: make
BuildRequires: python3-setuptools
BuildRequires: python3-sphinx
BuildRequires: python3-sphinx_rtd_theme

BuildRequires: python3-devel
BuildRequires: python3-cryptography >= 3.2

%description
High-level wrapper around a subset of the OpenSSL library, includes among others
 * SSL.Connection objects, wrapping the methods of Python's portable
   sockets
 * Callbacks written in Python
 * Extensive error-handling mechanism, mirroring OpenSSL's error codes


%package -n python3-pyOpenSSL
Summary: Python 3 wrapper module around the OpenSSL library
Requires: python3-cryptography >= 2.8
Requires: python3-six >= 1.5.2
%{?python_provide:%python_provide python3-pyOpenSSL}
Obsoletes: pyOpenSSL < 19.0.0-5
Provides: pyOpenSSL = %{version}-%{release}

%description -n python3-pyOpenSSL
High-level wrapper around a subset of the OpenSSL library, includes among others
 * SSL.Connection objects, wrapping the methods of Python's portable
   sockets
 * Callbacks written in Python
 * Extensive error-handling mechanism, mirroring OpenSSL's error codes

%package -n python3-pyOpenSSL-doc
Summary:        Documentation files for %{name}
Requires:       python3-pyOpenSSL = %{version}-%{release}
BuildArch:      noarch

%description    -n python3-pyOpenSSL-doc
The python3-pyOpenSSL-doc package contains documentation files for %{name}.

%prep
%autosetup -p1 -n pyOpenSSL-%{version}

%build
%py3_build

%{__make} -C doc html SPHINXBUILD=sphinx-build-3

%install
%py3_install

# Cleanup sphinx .buildinfo file before packaging
rm doc/_build/html/.buildinfo

%files -n python3-pyOpenSSL
%license LICENSE
%{python3_sitelib}/OpenSSL/
%{python3_sitelib}/pyOpenSSL-*.egg-info

%files -n python3-pyOpenSSL-doc
%doc CHANGELOG.rst doc/_build/html

%changelog
* Fri May 31 2024 mgb01105731 <mgb01105731@alibaba-inc.com> - 24.1.0-1
- update to 24.1.0

* Wed Mar 27 2024 Bo Ren <rb01097748@alibaba-inc.com> - 23.2.0-2
- Rebuild with python3.11

* Wed Feb 07 2024 mgb01105731 <mgb01105731@alibaba-inc.com> - 23.2.0-1
- Update to 23.2.0

* Tue Mar 28 2023 Feng Su <sufeng@linux.alibaba.com>  - 23.1.1-1
- package init from upstream
